# Trait io_lifetimes::raw::IntoRawSocketlike

source · [−]

    pub trait IntoRawSocketlike: IntoRawFd {
        fn into_raw_socketlike(self) -> RawSocketlike;
    }

Expand description

This is a portability abstraction over Unix-like `IntoRawFd` and Windows’ `IntoRawSocket`.

## Required Methods

source

#### fn into_raw_socketlike(self) -> RawSocketlike

Returns the raw value.

## Implementors

source

### impl<T: IntoRawFd> IntoRawSocketlike for T